// CounterThreadView.h : interface of the CCounterThreadView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_COUNTERTHREADVIEW_H__78477460_AF86_4E49_B633_E449082BA8BF__INCLUDED_)
#define AFX_COUNTERTHREADVIEW_H__78477460_AF86_4E49_B633_E449082BA8BF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "CounterThreadDoc.h"

class CCounterThreadView : public CView
{
protected: // create from serialization only
	CCounterThreadView();
	DECLARE_DYNCREATE(CCounterThreadView)
	CWinThread* pThread;

// Attributes
public:
	CCounterThreadDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCounterThreadView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	long m_lCounter;
	virtual ~CCounterThreadView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CCounterThreadView)
	afx_msg void OnThreadStart();
	afx_msg void OnThreadPause();
	afx_msg void OnThreadResume();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in CounterThreadView.cpp
inline CCounterThreadDoc* CCounterThreadView::GetDocument()
   { return (CCounterThreadDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_COUNTERTHREADVIEW_H__78477460_AF86_4E49_B633_E449082BA8BF__INCLUDED_)
