// CounterThreadView.cpp : implementation of the CCounterThreadView class
//

#include "stdafx.h"
#include "CounterThread.h"

#include "CounterThreadDoc.h"
#include "CounterThreadView.h"
#include "TestThread.h"
	
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCounterThreadView

IMPLEMENT_DYNCREATE(CCounterThreadView, CView)

BEGIN_MESSAGE_MAP(CCounterThreadView, CView)
	//{{AFX_MSG_MAP(CCounterThreadView)
	ON_COMMAND(ID_THREAD_START, OnThreadStart)
	ON_COMMAND(ID_THREAD_PAUSE, OnThreadPause)
	ON_COMMAND(ID_THREAD_RESUME, OnThreadResume)
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CView::OnFilePrintPreview)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCounterThreadView construction/destruction

CCounterThreadView::CCounterThreadView()
{
	// TODO: add construction code here
	m_lCounter=0;
}

CCounterThreadView::~CCounterThreadView()
{
}

BOOL CCounterThreadView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CCounterThreadView drawing

void CCounterThreadView::OnDraw(CDC* pDC)
{
	CCounterThreadDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	// TODO: add draw code for native data here
	m_lCounter++;
	CString strCounter;
	strCounter.Format("The Counter is %d",m_lCounter);
	pDC->TextOut(100,100,strCounter);
	
}

/////////////////////////////////////////////////////////////////////////////
// CCounterThreadView printing

BOOL CCounterThreadView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CCounterThreadView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CCounterThreadView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}

/////////////////////////////////////////////////////////////////////////////
// CCounterThreadView diagnostics

#ifdef _DEBUG
void CCounterThreadView::AssertValid() const
{
	CView::AssertValid();
}

void CCounterThreadView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CCounterThreadDoc* CCounterThreadView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CCounterThreadDoc)));
	return (CCounterThreadDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CCounterThreadView message handlers

void CCounterThreadView::OnThreadStart() 
{
	//Start the thread here
	pThread= AfxBeginThread(CTestThread::RunThreadFunction, this);
	
}

void CCounterThreadView::OnThreadPause() 
{
	pThread->SuspendThread();
	
}

void CCounterThreadView::OnThreadResume() 
{
	pThread->ResumeThread();
	
}
